package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Smhout;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface SmhoutMapper {

    int insert(Smhout record);

    int insertSelective(Smhout record);

    int updateByPrimaryKeySelective(Smhout record);

    int updateByPrimaryKey(Smhout record);

    int deleteByPrimaryKey(Smhout record);

    int deleteByIds(Collection<Object> collection);

    Smhout selectByPrimaryKey(Smhout record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Smhout> dyncRead(Map<String,Object> dyncMap);

}